Convert BA .deb to Arch - help needed

The place to discuss the Linux/Ubuntu edition
Post Reply
zortmo
Posts: 3
Joined: Sat Jan 12, 2019 3:00 pm

Convert BA .deb to Arch - help needed

Post by zortmo » Thu Jan 17, 2019 5:20 pm

I used debtap to convert .deb. After attempting to correct some dependency errors I ended up with a package that installs but doesn't run. If I start BA from cli I get the following errors. Do I still have a dependency issue? See screenshot:
Thanks, Mike
Attachments
ba-error.png
ba-error.png (86.21 KiB) Viewed 1363 times

Tim
Site Admin
Posts: 1094
Joined: Sun Dec 07, 2008 1:14 pm

Re: Convert BA .deb to Arch - help needed

Post by Tim » Thu Jan 17, 2019 8:52 pm

Bible Analyzer can't find the wx dependency on your system. It is called python-wxgtk3.0 on Ubuntu. Install it and Bible Analyzer may start.
Tim Morton
Developer, Bible Analyzer

But to him that worketh not, but believeth on him that justifieth the ungodly, his faith is counted for righteousness. (Rom 4:5 AV)

zortmo
Posts: 3
Joined: Sat Jan 12, 2019 3:00 pm

Re: Convert BA .deb to Arch - help needed

Post by zortmo » Sat Jan 19, 2019 9:49 am

Thanks Tim! Can you tell me the folder name where the application looks for the "wx" module? I installed python-wxgtk3.0 by first converting the .deb with debtap. Not sure pacman put it in the right place.

pablocuadras
Posts: 1
Joined: Sat Mar 16, 2019 10:14 am

Re: Convert BA .deb to Arch - help needed

Post by pablocuadras » Sat Mar 16, 2019 10:19 am

Were you able to solve this situation? I have the same problem and I do not know what to do now.

I use Arch Linux and I have created a PKGBUILD file. I have no problem installing it, but then it asks me for the wx module.

Post Reply